Namespaces
IWORKPathElement.cpp File Reference
`#include "IWORKPathElement.h"`
`#include <utility>`
`#include <boost/numeric/conversion/cast.hpp>`
`#include <boost/optional.hpp>`
`#include "libetonyek_xml.h"`
`#include "IWORKBezierElement.h"`
`#include "IWORKCollector.h"`
`#include "IWORKDictionary.h"`
`#include "IWORKPositionElement.h"`
`#include "IWORKRefContext.h"`
`#include "IWORKSizeElement.h"`
`#include "IWORKToken.h"`
`#include "IWORKTokenizer.h"`
`#include "IWORKTypes.h"`
`#include "IWORKXMLParserState.h"`

## Namespaces
| libetonyek

## Variable Documentation

## ◆ m_cornerRadius

double m_cornerRadius
| private

## ◆ m_doubleArrow

bool m_doubleArrow
| private

## ◆ m_path

IWORKPathPtr_t m_path
| private

## ◆ m_point

optional<IWORKPosition> m_point
| private

## ◆ m_polygon

bool m_polygon
| private

## ◆ m_ref

boost::optional<ID_t> m_ref
| private

Referenced by libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::element(), and libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::endOfElement().

## ◆ m_size

optional<IWORKSize> m_size
| private

## ◆ m_star

bool m_star
| private

## ◆ m_tailAtCenter

bool m_tailAtCenter
| private

## ◆ m_tailPosX

double m_tailPosX
| private

## ◆ m_tailPosY

double m_tailPosY
| private

## ◆ m_tailSize

double m_tailSize
| private

## ◆ m_value

double m_value
| private